var reURL = new RegExp("(^(https?://|www\.)+| |(\.com|\.net|\.org|\.gov)$)", "i");

var urlbar = document.getElementById("urlbar");
if (urlbar) {
	urlbar.addEventListener("keydown", wrapURL, false);
}

function wrapURL(e) {
	if (e.keyCode == 13 && e.altKey && !e.ctrlKey && !e.shiftKey) {
		if (reURL.test(this.value)) {
			var id = window.setInterval("displayStatusMsg('" + RegExp.$1 + "')", 100);
			window.setTimeout("clearStatusMsg(" + id + ")", 7000);
		}
		else {
			this.value = "http://www." + this.value + ".com/";
		}
	}
}

function displayStatusMsg(str) {
	window.status = "URL completion was overridden by including \"" + str + "\".";
}

function clearStatusMsg(id) {
	window.clearInterval(id);
	window.status = "";
}
